> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Email Template

GET https://api.bigcommerce.com/stores/{store_hash}/v3/marketing/abandoned-cart-emails/{id}

Get a single Abandoned Cart Email template.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/content/abandoned-cart-emails/get-abandoned-cart-email-template

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | read-only | `store_v2_information_read_only`| | Information & Settings | modify | `store_v2_information` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `id` (integer, required) — ID of the Abandoned Cart Email template.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `data` (AbandondedCartEmail, optional)
- `meta` (metaCollection_open, optional) — Response metadata.

## Types

### AbandondedCartEmail

- `id` (integer, optional)
- `notify_at_minutes` (enum, optional) — Describes when this email will be sent, in minutes. Only supports certain intervals described in the enum.
  - Allowed values: `60`, `120`, `180`, `240`, `300`, `360`, `420`, `480`, `540`, `600`, `660`, `720`, `780`, `840`, `900`, `960`, `1020`, `1080`, `1140`, `1200`, `1260`, `1320`, `1380`, `1440`, `2880`, `4320`, `5760`, `7200`, `8640`, `10080`, `11520`, `12960`, `14400`
- `coupon_code` (string, optional)
- `template` (Template, optional)
- `is_active` (boolean, optional)
- `sent_num` (integer, optional)

### metaCollection_open

Response metadata.

### Template

- `subject` (string, required)
- `body` (string, required)
- `translations` (list of TranslationDefinition, required)

### TranslationDefinition

- `locale` (string, required) — Locale code for this language, such as 'en', 'en-us', 'fr-ca'.
- `keys` (TranslationDefinitionKeys, required) — Language keys for the template. User-defined. Should match any language keys used in the template.

### TranslationDefinitionKeys

Language keys for the template. User-defined. Should match any language keys used in the template.

## Examples

**Response**

```json
{
  "data": {
    "id": 1,
    "notify_at_minutes": 60,
    "coupon_code": "FF11-22X4",
    "template": {
      "subject": "'Complete your purchase at {{ store.name }}'",
      "body": "'Complete your purchase <a href=\"{{ notification.checkout_link }}\">{{notification.checkout.link}}'",
      "translations": [
        {
          "locale": "en",
          "keys": {}
        }
      ]
    },
    "is_active": true,
    "sent_num": 1
  },
  "meta": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails/1"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails/1';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails/1', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```